%define version 0.10.35
Summary: Libraries and utilties for program national language support
Name: gettext
Version: %{version}
Release: 2a
Copyright: GPL
Group: Development/Tools
Source: ftp://alpha.gnu.org/pub/gnu/gettext-%{version}.tar.gz
Patch0: gettext-%{version}-macosx.patch
Buildroot: /var/tmp/gettext-root

%description
The gettext library provides an easy to use library and tools for creating,
using, and modifying natural language catalogs. It is a powerfull and simple

%package devel
Summary: Header and library files for developing applications using gettext
Group: Development/Libraries
Requires: gettext
%description devel
This package contains header and library files for developing 
applications using gettext.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%ifos darwin
%patch0 -p1 -b .macosx
%endif

%build
%ifos darwin
CFLAGS="-traditional -D__GNUC_ $RPM_OPT_FLAGS -fno-common" ./configure --prefix=%{_prefix} --with-included-gettext
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --with-included-gettext
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

# Fix busted no-emacs install for $lispdir/po-mode.el

make install prefix=$RPM_BUILD_ROOT%{_prefix} lispdir=$RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp

( cd $RPM_BUILD_ROOT
  rm -f .%{_prefix}/info/dir
  gzip -9nf .%{_prefix}/info/*
%ifos darwin
  ranlib -s .%{_prefix}/lib/libintl.a
%endif
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%{_prefix}/bin/*
%{_prefix}/info/*
%{_prefix}/share/gettext
%{_prefix}/share/locale/d*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/e*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/f*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/k*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/n*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/p*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/s*/LC_MESSAGES/gettext.mo
%{_prefix}/share/aclocal/*
%{_prefix}/share/emacs/site-lisp/*

%files devel
%{_prefix}/include/*
%{_prefix}/lib/*.a

%changelog
* Thu Apr 19 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 1a: built on MacOS X Release 10.01

* Mon Apr 2 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 1: built on MacOS X PB
